Program TSTCR56;

{ Version
  File:[22,310]TSTR56.PAS
  Author: Jim Bostwick 1-Nov-83 
  History:


Testing P3UTIL module(s): CR56TA, CATR56

}

{$nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'EX:[22,320]GENERAL3.TYP';
%INCLUDE 'EX:[22,320]CR56TA.EXT';
%INCLUDE 'EX:[22,320]CATR56.EXT';


{$list}

VAR
  ASC,asc2:CH6;
  RAD:RAD56;

BEGIN
  Writeln('Rad50 <-> ASCII Conversion Test');
  Write('Enter 1 to 6 legal Rad50 chars, ^Z to end:');
  while not(eof) do
    BEGIN 
    readln(asc);
    Writeln('raw input=',asc);
    Catr56(asc,rad);
    Write(asc,'=');
    writeln('rad50=',rad[1]:-8, rad[2]:-8);
    cr56ta(rad,asc2);
    writeln(asc,'=',asc2);
    Write('Enter 1 to 6 legal Rad50 chars, ^Z to end:')
    END;
  Writeln('End of test.')
end.

